function $E(id){ return document.getElementsByName(id);};

function selectAll(id)
{
	for (i=0; i<external.GetFileCount(); ++i)
	{
		external.AddTask(i)
	}
	external.CommitTask()

   var idArr = $E(id);
   var i =0;
   while(i < idArr.length)
   {
     if(idArr[i].disabled==false)
	 {
	   idArr[i].checked = true;
	 }
     ++i;
   }
}

function cancleAll(id)
{
   var idArr = $E(id);
   var i =0;
   while(i < idArr.length)
   {
     if(idArr[i].disabled==false)
	 {
	   idArr[i].checked = false;
	 }
     ++i;
   }
}
